Cannot run app on device or simulator in Visual Studio 2017 after installing Xcode 9.3

2»

Posts

  • Umar3xUmar3x FRMember ✭✭✭
    edited April 2018

    I know ... that what I said ^^ thanks to mac I meant.

    I'm running VS 15.6.4 on windows, and 15.6.5 is still not available. Is it only available for mac ???

  • BrendanZagaeskiBrendanZagaeski USForum Administrator, Xamarin Team Xamurai
    edited April 2018

    Update 3: Visual Studio 2017 version 15.6.5 is now published.

    For users who installed the temporary compatibility pack, it is recommended to uninstall it before updating (following the IDE compatibility pack uninstall section on the Release Blog post).

  • Umar3xUmar3x FRMember ✭✭✭

    That's working ... but now my simulator is very very slow for unknown reason. Anyone meeting this prob too ?

  • TheFwGuyTheFwGuy USMember ✭✭

    Did apply the updates and so far so good ! I can now load the code again on real devices !
    iOS is back working and did not find problems on Android so far.
    Thanks !!

  • SchulleberndSchullebernd Member ✭✭
    edited April 2018
    Sorry, but it seems not to work. I use the lates VS 2017 Preview with the lates XAMARIN SDK. On my Mac I used the beta channel for VS and I have installed Xcode 9.3.
    I still get the DADocsetAccess not found error when trying to deploy an App on my iPhone with iOS 11.3.
    VS on Windows says, that I have use Target iOS version 11.2 because 11.3 is not supported. I also tried to switch to the stable channel on Mac. Everything without any success.
    Does someone else have these problems? Or am I doing something wrong?
    Thanks!
  • JohnHJohnH GBMember ✭✭✭✭✭

    @Schullebernd said:
    Sorry, but it seems not to work. I use the lates VS 2017 Preview with the lates XAMARIN SDK. On my Mac I used the beta channel for VS and I have installed Xcode 9.3.
    I still get the DADocsetAccess not found error when trying to deploy an App on my iPhone with iOS 11.3.
    VS on Windows says, that I have use Target iOS version 11.2 because 11.3 is not supported. I also tried to switch to the stable channel on Mac. Everything without any success.
    Does someone else have these problems? Or am I doing something wrong?
    Thanks!

    Xcode 9.3 support was released to the stable channels, why you are using VS 2017 Preview? Im guessing Preview hasn't been updated yet.

  • SchulleberndSchullebernd Member ✭✭
    I use the preview because of the Netzwork Deploymemt feature. My Mac is not at the place where I usually code. But anyway, by selecting the stable channel for VS on the Mac it should work - but it doesn’t. The error, so my understanding, depends on the ressources on the Mac and not what I‘ve installed on my Windows maschine. And also I’ve ever thought, that the preview releases are containing the next stable builds.
    Even if I think it will not change anything I‘ll try it with the Stable VS Release on my Windows maschine this evening.
  • JohnHJohnH GBMember ✭✭✭✭✭

    @schellebernd Do you mean the Wifi deploy option? That is in stable too, I believe.

  • rocketbobrocketbob USMember ✭✭

    Were these changes not released in the alpha channel?

  • BrendanZagaeskiBrendanZagaeski USForum Administrator, Xamarin Team Xamurai

    The Xamarin 15.7 Preview 3 release does not yet include the Xcode 9.3 compatibility available in the Xamarin 15.6.5 release. Xcode 9.3 compatibility will be included in the next Xamarin 15.7 Preview release.

    (As a side note, the team is examining ways to revise the process for the future to be able to include Xcode compatibility earlier in Preview versions.)

  • SchulleberndSchullebernd Member ✭✭

    As expected, I still can't run my App on iPhone using WiFi Deploy.
    I still get the error:
    Could not load the framework 'DADocSetAccess' (path: /Applications/Xcode.app/Contents/SharedFrameworks/DADocSetAccess.framework/DADocSetAccess): not found..

    What's wrong?
    Again, My Mac has the current VS with stable channel and XCode 9.3.
    On Windows I'm using the latest VS 2017 Community Stable Release 15.6.6.
    On the iPhone iOS 11.3 is installed.

    Any tipps?

    Thanks again.

  • SchulleberndSchullebernd Member ✭✭
    Ok, a reinstall of VS on Mac did it. I don‘t know why but it seems that the installation got broken.
    Hm!
  • rocketbobrocketbob USMember ✭✭

    @BrendanZagaeski said:
    The Xamarin 15.7 Preview 3 release does not yet include the Xcode 9.3 compatibility available in the Xamarin 15.6.5 release. Xcode 9.3 compatibility will be included in the next Xamarin 15.7 Preview release.

    (As a side note, the team is examining ways to revise the process for the future to be able to include Xcode compatibility earlier in Preview versions.)

    ok makes sense Brendan. I normally work with the alpha channel. Things started working when I switched to the stable channel.

    You guys do a great job, and I know how tough it is for you guys to keep up with a myriad of platform changes. Thanks for your quick attention to this issue.

  • Amd3Amd3 USMember ✭✭

    4/20/2018 - My VS2017 on PC randomly decided to install updates on the mac even though i had not upgraded. All simulators disappeared from the PC dropdown and running the build in debug on the device got the error everyone else had. I was able to upgrade VS2017 to 15.6.6 - then restart, and then when the Mac Xamarin version wasn't the same it (from the PC) asked me to upgrade. So i gave it the password and upgraded successfully. Since then my builds now work on physical devices. I will try simulator soon...

  • JulianArias.0203JulianArias.0203 USMember

    I do not like being updating because break situations. Cant remember who suggested this solution but worked for me. In order to continue being happy with xcode92 and run apps for ios 11.3 :

    • Intall xcode 93 beside xcode 92
    • Point xcode92 sdk location in the VS mac preferences
    • Copy 11.3 folder from xcode93 to xcode92 ( Path: /Applications/Xcode93.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport )
    • Enjoy !!!
Sign In or Register to comment.